Module java.corba
Package org.omg.PortableInterceptor

## Interface InterceptorOperations

All Known Subinterfaces:
  ClientRequestInterceptor, ClientRequestInterceptorOperations, Interceptor, IORInterceptor, IORInterceptor_3_0, IORInterceptor_3_0Operations, IORInterceptorOperations, ServerRequestInterceptor, ServerRequestInterceptorOperations

    public interface InterceptorOperations

All Portable Interceptors implement Interceptor.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `destroy()` Provides an opportunity to destroy this interceptor.
`String` `name()` Returns the name of the interceptor.

### Method Detail

#### name

    String name()

Returns the name of the interceptor.

Each Interceptor may have a name that may be used administratively to order the lists of Interceptors. Only one Interceptor of a given name can be registered with the ORB for each Interceptor type. An Interceptor may be anonymous, i.e., have an empty string as the name attribute. Any number of anonymous Interceptors may be registered with the ORB.

Returns:
  the name of the interceptor.

#### destroy

    void destroy()

Provides an opportunity to destroy this interceptor. The destroy method is called during `ORB.destroy`. When an application calls `ORB.destroy`, the ORB:

1. waits for all requests in progress to complete
2. calls the `Interceptor.destroy` operation for each interceptor
3. completes destruction of the ORB

Method invocations from within `Interceptor.destroy` on object references for objects implemented on the ORB being destroyed result in undefined behavior. However, method invocations on objects implemented on an ORB other than the one being destroyed are permitted. (This means that the ORB being destroyed is still capable of acting as a client, but not as a server.)